I’m undecided

Latest Driver for 2626 compatible with latest Mavericks OS?

Is the M-Audio 10.8.5 driver compatible with the latest version of Mavericks OS 10.9.2 or this a 'fly at your own risk' kind of install? I run a mid 2009 MacBookPro via firewire with the 2626 utilizing Logic Pro X.

I don't want to crash my system in an attempt to get my M-Audio 2626 running. Should I risk it or wait?

I love my M-Audio 2626 and hope that this can work out.

Best,
Bongo
2 people have
this problem
+1
Reply